package com.zbf.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zbf.system.domain.TMiStock;
import com.zbf.system.domain.TMiStockUpdate;
import com.zbf.system.domain.TMiXnStock;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 库存Service接口
 *
 * @author tony
 * @date 2024-06-12
 */
public interface ITMiXnStockService extends IService<TMiXnStock> {


    boolean freezeStockByIds(List<String> ids,String value);

    boolean thawStockByIds(List<String> ids);

    boolean updates(List<String> ids, String value);


    boolean updateDate(List<String> ids, Date value);
    boolean updateShelvesNum(TMiXnStock tMiStock);

    List<TMiXnStock> selectTMiStockList(TMiXnStock tMiStock);



    BigDecimal getTotal(TMiXnStock tMiStock);

    List<TMiXnStock> inventoryStatisticsGoods(TMiXnStock tMiStock);

    List<TMiXnStock> selectPanGoodsList(TMiXnStock tMiStock);

    List<String> selectPanTimeLocation();

    int changeLocation(TMiStockUpdate tMiStockUpdate);

    List<TMiXnStock> selectTMiStockListByCtl(TMiXnStock tMiStock);

    int changeCtlNo(TMiStockUpdate tMiStockUpdate);

    int splitCtlNo(TMiStockUpdate tMiStockUpdate);

    List<TMiXnStock> selectCountStockList(TMiXnStock tMiStock);


    List<TMiXnStock> overInsured(TMiXnStock tMiStock);

    List<TMiXnStock> selectTMiStockLists(TMiXnStock stock);

    List<TMiXnStock> select(TMiXnStock stock);

    String importData(List<TMiXnStock> trList, String s);
}
